Get Deep position
curl --request GET \
--url https://api.vaults.fyi/beta/amm/deep/positions/{userAddress}/{network}/{vaultId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.vaults.fyi/beta/amm/deep/positions/{userAddress}/{network}/{vaultId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.vaults.fyi/beta/amm/deep/positions/{userAddress}/{network}/{vaultId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "<string>",
"network": {
"chainId": 123,
"networkCaip": "<string>"
},
"asset0": {
"address": "<string>",
"symbol": "<string>",
"decimals": 123,
"balanceInVault": "<string>"
},
"asset1": {
"address": "<string>",
"symbol": "<string>",
"decimals": 123,
"balanceInVault": "<string>"
},
"name": "<string>",
"apr": {
"7day": 123,
"30day": 123
},
"decimals": 123,
"userBalance": "<string>"
}{
"statusCode": 123,
"error": "Bad Request",
"message": "<string>",
"errorId": "<string>"
}{
"error": "Unauthorized",
"message": "An API key is required to access this service. Sign up at https://portal.vaults.fyi/signup to generate a key. We offer a Pay-As-You-Go plan so you only pay for what you use, with no commitments.",
"errorId": "<string>"
}{
"x402Version": 123,
"resource": {
"url": "<string>",
"description": "<string>",
"mimeType": "<string>",
"serviceName": "<string>",
"tags": [
"<string>"
],
"iconUrl": "<string>"
},
"error": "<string>",
"accepts": [
{
"scheme": "exact",
"network": "<string>",
"amount": "<string>",
"payTo": "<string>",
"maxTimeoutSeconds": 123,
"asset": "<string>",
"extra": {
"name": "<string>",
"version": "<string>"
}
}
],
"extensions": {}
}{
"error": "Forbidden",
"message": "This API key has exhausted its available credits. To resume service, please visit https://portal.vaults.fyi/signup to top-up your credits",
"errorId": "<string>"
}{
"error": "Not Found",
"message": "<string>"
}{
"message": "<string>",
"errorId": "<string>"
}{
"statusCode": 123,
"error": "Unprocessable Entity",
"message": "<string>",
"errorId": "<string>"
}{
"error": "Internal Server Error",
"message": "<string>",
"errorId": "<string>"
}{
"statusCode": 123,
"error": "Service Unavailable",
"message": "<string>",
"errorId": "<string>"
}The Deep
Get Deep position
Gives a detailed view of one specific vault position on a given network.
GET
/
beta
/
amm
/
deep
/
positions
/
{userAddress}
/
{network}
/
{vaultId}
Get Deep position
Authorizations
Path Parameters
User address to be used for best vault calculation
Pattern:
^0x[a-fA-F0-9]{40}$Include only vaults with provided network(name or CAIP)
Available options:
mainnet, optimism, arbitrum, polygon, gnosis, base, unichain, swellchain, celo, worldchain, berachain, ink, bsc, hyperliquid, plasma, avalanche, katana, linea, mega-eth, monad, etherlink, robinhood, eip155:1, eip155:10, eip155:42161, eip155:137, eip155:100, eip155:8453, eip155:130, eip155:1923, eip155:42220, eip155:480, eip155:80094, eip155:57073, eip155:56, eip155:999, eip155:9745, eip155:43114, eip155:747474, eip155:59144, eip155:4326, eip155:143, eip155:42793, eip155:4663 Vault id of the vault for which the data will be returned
Response
Default Response
Address of the vault
Pattern:
^0x[a-fA-F0-9]{40}$Network details of the vault
Show child attributes
Show child attributes
Asset details of the vault
Show child attributes
Show child attributes
Asset details of the vault
Show child attributes
Show child attributes
Name of the vault
Show child attributes
Show child attributes
Decimals of the vault token
User balance in vault shares
⌘I

